
# 此配置只适合开发测试环境，详细配置参考： http://t.cn/A64RaHJm
server:
  port: 5004
  servlet:
    context-path: /xxl-job-admin

# xxl
xxl:
  job:
    i18n: zh_CN
    logretentiondays: 30
    triggerpool:
      fast.max: 200
      slow.max: 200

# mybatis
mybatis:
  mapper-locations: classpath:/mybatis-mapper/*Mapper.xml

# spring boot admin 配置

management:
  health:
    mail:
      enabled: false
  endpoints:
    web:
      exposure:
        include: '*'
  endpoint:
    health:
      show-details: ALWAYS
# spring
---
# 数据源配置
spring:
  config:
    activate:
      on-profile: test
  redis:
    host: 192.168.1.65
    port: 22379
    password: '@yf_2017'
  datasource:
    type: com.zaxxer.hikari.HikariDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: root
    password: yf_zsk
    url: jdbc:mysql://192.168.1.65:22306/yifu_job?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai&nullCatalogMeansCurrent=true&allowPublicKeyRetrieval=true
  #web:
  #  resources:
  #    static-locations: classpath:/static/,classpath:/views/
  mvc:
    static-path-pattern: /static/**
  freemarker:
    suffix: .ftl
    request-context-attribute: request
    settings:
      number_format: 0.##########
  mail:
    host: smtp.mxhichina.com
    port: 465
    from: xxxx@gitee.wang
    username: xxxx@gitee.wang
    password: xxxx
    properties:
      mail:
        smtp:
          auth: true
          ssl.enable: true
          starttls.enable: false
          required: false

---
# 数据源配置
spring:
  config:
    activate:
      on-profile: dev
  redis:
    host: 127.0.0.1
    port: 6379
    password: '@yf_2017'
  datasource:
    type: com.zaxxer.hikari.HikariDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: root
    password: yf_zsk
    url: jdbc:mysql://192.168.1.65:22306/yifu_job?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai&nullCatalogMeansCurrent=true&allowPublicKeyRetrieval=true
  #web:
  #  resources:
  #    static-locations: classpath:/static/,classpath:/views/
  mvc:
    static-path-pattern: /static/**
  freemarker:
    suffix: .ftl
    request-context-attribute: request
    settings:
      number_format: 0.##########
  mail:
    host: smtp.mxhichina.com
    port: 465
    from: xxxx@gitee.wang
    username: xxxx@gitee.wang
    password: xxxx
    properties:
      mail:
        smtp:
          auth: true
          ssl.enable: true
          starttls.enable: false
          required: false